<template lang='pug'>
mixin prop(name)
  li #[strong.text-info= name+': ']
    block

Example(title='Simple Input Example' :maxState="1")
  template(v-slot:description)
    h5 This is a Simple input example
    p Click on the #[em animate] to toggle edit mode.
    p Click on #[em code] to view and modify its code.

  template(v-slot:interface)
    div #[strong Properties:]
      ul
        +prop("value") the Param current live value
        +prop("inEdit") enter/exit edit mode

    div #[strong Data:]
      ul
        +prop("editValue") edit mode currently selected value

    div #[strong Signals:]
      ul
        +prop("edit") emitted whenever editValue is changed (with editValue new content)

    div #[strong Slots:]
      ul
        +prop("default") to change how the values is displayed when in non edit mode

  template(v-slot:code)
    template(v-pre).
      .row.justify-content-center.align-items-center.b-param-container
        BaseInput.col-12(:value='12' :inEdit='state !== 0' @edit-request='state = $event ? 1 : 0')
        .col-12 With slots:
        BaseInput.col-12(:value='12' :inEdit='state !== 0')
          template(v-slot:value='p')
            | \#[strong Value Is] {{ p.value }}
</template>
<script>

import Example from "./AppExample.vue";

export default {
  name: "ExampleInput",
  components: { Example }
};

</script>
